Future Wars - Tactical Simulator

Sins of a Solar Empire mod |

Follow 435

By popular request we have now decided to make an update for Sins - Tactical Simulator 0.4 to version 0.41 . This version will be "still" only in german (english later) but now it supports Sins 1.19 and 1.191.

SINS Future Wars - Tactical Simulator - a0.41

Related to Full Version

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: